Vekta API
Users

List your athletes

The users with the athlete role in at least one workspace where you are coach or admin. The returned ids can be used as the userId path parameter of the other endpoints. Your own data is available through the special value "me".

GET
/users
AuthorizationBearer <token>

Vekta api key, e.g. Authorization: Bearer vk_...

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/users"
[  {    "id": "usr_01JGXW3KQ2B8C4D5E6F7G8H9J0",    "firstName": "Alex",    "lastName": "Rivera",    "dateOfBirth": "1990-05-15",    "gender": "male",    "height": 180,    "dataOnboardingStatus": "done",    "userMetricReadiness": {      "hasVektaCyclingCriticalPower": true,      "hasVektaRunningCriticalPower": true,      "hasVektaRunningCriticalSpeed": false    }  }]